import request from '@/utils/request'

// 查询任务中心列表
export function listAppletTaskUser(query) {
  return request({
    url: '/model/AppletTaskUser/list',
    method: 'get',
    params: query
  })
}

// 查询任务中心详细
export function getAppletTaskUser(id) {
  return request({
    url: '/model/AppletTaskUser/' + id,
    method: 'get'
  })
}

// 新增任务中心
export function addAppletTaskUser(data) {
  return request({
    url: '/model/AppletTaskUser',
    method: 'post',
    data: data
  })
}

// 修改任务中心
export function updateAppletTaskUser(data) {
  return request({
    url: '/model/AppletTaskUser',
    method: 'put',
    data: data
  })
}

// 删除任务中心
export function delAppletTaskUser(id) {
  return request({
    url: '/model/AppletTaskUser/' + id,
    method: 'delete'
  })
}

// 导出任务中心
export function exportAppletTaskUser(query) {
  return request({
    url: '/model/AppletTaskUser/export',
    method: 'get',
    params: query
  })
}
